Bug 94024 - New port: net-im/py-punjab HTTP jabber client interface
Summary: New port: net-im/py-punjab HTTP jabber client interface
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-02 15:40 UTC by joost
Modified: 2008-02-15 05:10 UTC (History)
0 users

See Also:


Attachments
file.shar (6.25 KB, text/plain)
2006-03-02 15:40 UTC, joost
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description joost 2006-03-02 15:40:03 UTC
PunJab is a HTTP jabber client interface. It is a SOAP, XMLRPC, 
JEP-0025 or JEP-0124 server that allows persistent client connections
to a jabber server. It can be used for many things, but its main 
purpose is to allow for stateless applications (ie web) a stateful 
connection to jabber.

For more information about punjab see the following URL :

WWW: http://punjab.sf.net/
Comment 1 Andrew Pantyukhin 2006-04-21 02:44:54 UTC
A new version of py-punjab port updated to 0.10 is available at:

http://bsd.csme.ru/myports/py-punjab10.shar
http://bsd2.csme.ru/myports/py-punjab10.shar
http://bsd3.csme.ru/myports/py-punjab10.shar

This new version is designed in a slightly different manner. There
are no build-time options - everything can be controlled from
rc.conf. Tap file is now ephemeral, created each time the service
starts. I really hope both the original submitter and a committer
will see justification for the changes.

There's much room for improvement. For one, I didn't have time
to debug the issues when running punjab with kqueue support.
Hence, I had to disable it, but kqueue brings many advantages.
pkg-message wouldn't hurt, but it's really important for this port
to be exposed and tested before we can settle on some feature
set and start documenting it.

Port author and maintainer lines were left untouched. If the author
wants to, he can let me maintain this port.

Thanks!
Comment 2 joost 2006-04-21 06:13:12 UTC
On Fri, Apr 21, 2006 at 05:44:54AM +0400, Andrew Pantyukhin wrote:
> 
> Port author and maintainer lines were left untouched. If the author
> wants to, he can let me maintain this port.

Feel free to do so. Sounds like you are way more knowledgable around
python than I am.

-- 
greetz Joost
joost@jodocus.org
Comment 3 sat freebsd_committer 2006-05-21 16:20:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sat

Take
Comment 4 Pav Lucistnik freebsd_committer 2006-06-23 10:09:07 UTC
Any progress on this one, Andrew?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

The Phase Spider. A spider that never seems quite there.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2006-07-01 07:45:13 UTC
Responsible Changed
From-To: sat->freebsd-ports-bugs

Reassign to pool.  The assignee has had this PR for some time, and did not 
respond to email asking about its status.
Comment 6 Rong-En Fan freebsd_committer 2006-07-01 10:13:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 7 Rong-En Fan freebsd_committer 2006-07-04 02:42:01 UTC
Responsible Changed
From-To: rafan->sat

sat@ told me that he still wants to deal this PR.
Comment 8 sat freebsd_committer 2006-09-04 09:48:44 UTC
State Changed
From-To: open->suspended

For various reasons, I believe it's reasonable to wait 
for punjab 0.11 or whatever the next version might be. 
Please e-mail me or follow-up if you think otherwise.
Comment 9 sat freebsd_committer 2007-02-01 01:07:37 UTC
State Changed
From-To: suspended->open

0.11 has just been released. Need to get back to this one.
Comment 10 Mark Linimon freebsd_committer freebsd_triage 2008-02-01 08:05:24 UTC
Responsible Changed
From-To: sat->freebsd-bugs

With bugmeister hat on, reset the assignment of this one: it has 
languished for a year.
Comment 11 Remko Lodder freebsd_committer 2008-02-05 12:09:54 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

reassign to ports team
Comment 12 Beech Rintoul freebsd_committer 2008-02-12 05:19:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 13 dfilter service freebsd_committer 2008-02-15 05:06:01 UTC
beech       2008-02-15 05:05:56 UTC

  FreeBSD ports repository

  Modified files:
    net-im               Makefile 
  Added files:
    net-im/py-punjab     Makefile distinfo pkg-descr pkg-plist 
    net-im/py-punjab/files pkg-message.in punjab.sh.in 
  Log:
  PunJab is a HTTP jabber client interface. It is a SOAP, XMLRPC,
  JEP-0025 or JEP-0124 server that allows persistent client connections
  to a jabber server. It can be used for many things, but its main
  purpose is to allow for stateless applications (ie web) a stateful
  connection to jabber.
  
  For more information about punjab see the following URL :
  
  WWW: http://www.butterfat.net/wiki/Projects/PunJab
  
  PR:             ports/94024
  Submitted by:   jodocus <jodocus at jodocus.org>
  
  Revision  Changes    Path
  1.78      +1 -0      ports/net-im/Makefile
  1.1       +48 -0     ports/net-im/py-punjab/Makefile (new)
  1.1       +3 -0      ports/net-im/py-punjab/distinfo (new)
  1.1       +9 -0      ports/net-im/py-punjab/files/pkg-message.in (new)
  1.1       +22 -0     ports/net-im/py-punjab/files/punjab.sh.in (new)
  1.1       +9 -0      ports/net-im/py-punjab/pkg-descr (new)
  1.1       +123 -0    ports/net-im/py-punjab/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 Beech Rintoul freebsd_committer 2008-02-15 05:06:33 UTC
State Changed
From-To: open->closed

Committed, Thanks!